@echo off

IF EXIST "__backup/JaiInit.aaf" (
  goto FAIL
)

:PACK
mkdir "./__backup"
mkdir "./__backup/Banks"
copy "./JaiInit.aaf" "./__backup/" > NUL
copy "./Banks" "./__backup/Banks" > NUL
mkdir ./Audio_Modding/
mkdir ./Audio_Modding/Waves
mkdir ./Audio_Modding/Instruments

echo Unpacking AAF....
"%CD%/tool/jampacked.exe" unpack JaiInit.aaf Audio_Modding
echo Unpacking waves

"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/0.wsy" "./Audio_Modding/Waves/n_zelda_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n_zelda_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/1.wsy" "./Audio_Modding/Waves/w_zelda_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/w_zelda_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/2.wsy" "./Audio_Modding/Waves/SystemSE_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/SystemSE_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/3.wsy" "./Audio_Modding/Waves/voice_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/voice_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/4.wsy" "./Audio_Modding/Waves/LinkMotion_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/LinkMotion_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/5.wsy" "./Audio_Modding/Waves/Footnote_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Footnote_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/6.wsy" "./Audio_Modding/Waves/Atmos_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Atmos_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/7.wsy" "./Audio_Modding/Waves/CharVoice_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/CharVoice_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/8.wsy" "./Audio_Modding/Waves/objSE_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/objSE_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/9.wsy" "./Audio_Modding/Waves/Ryu_Mt_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Ryu_Mt_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/10.wsy" "./Audio_Modding/Waves/I_Maju_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/I_Maju_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/11.wsy" "./Audio_Modding/Waves/Kindan_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Kindan_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/12.wsy" "./Audio_Modding/Waves/bigpow_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/bigpow_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/13.wsy" "./Audio_Modding/Waves/tetra_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/tetra_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/14.wsy" "./Audio_Modding/Waves/boco_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/boco_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/15.wsy" "./Audio_Modding/Waves/Asoko_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Asoko_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/16.wsy" "./Audio_Modding/Waves/Shiren_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Shiren_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/17.wsy" "./Audio_Modding/Waves/Mj_Tower_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Mj_Tower_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/18.wsy" "./Audio_Modding/Waves/bird_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/bird_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/19.wsy" "./Audio_Modding/Waves/A_mori_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/A_mori_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/20.wsy" "./Audio_Modding/Waves/WindDun_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/WindDun_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/21.wsy" "./Audio_Modding/Waves/n2i_link_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n2i_link_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/22.wsy" "./Audio_Modding/Waves/n3i_maju_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n3i_maju_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/23.wsy" "./Audio_Modding/Waves/n4d_ryu_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n4d_ryu_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/24.wsy" "./Audio_Modding/Waves/Ojhous_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Ojhous_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/25.wsy" "./Audio_Modding/Waves/IsleLink_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/IsleLink_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/26.wsy" "./Audio_Modding/Waves/Omoush_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Omoush_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/27.wsy" "./Audio_Modding/Waves/IsleTown_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/IsleTown_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/28.wsy" "./Audio_Modding/Waves/Orichh_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Orichh_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/29.wsy" "./Audio_Modding/Waves/A_umikz_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/A_umikz_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/30.wsy" "./Audio_Modding/Waves/mboss_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/mboss_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/31.wsy" "./Audio_Modding/Waves/IsleWood_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/IsleWood_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/32.wsy" "./Audio_Modding/Waves/umi_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/umi_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/33.wsy" "./Audio_Modding/Waves/n5store_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n5store_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/34.wsy" "./Audio_Modding/Waves/d_amosu_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_amosu_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/35.wsy" "./Audio_Modding/Waves/DaiDun_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/DaiDun_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/36.wsy" "./Audio_Modding/Waves/d_forest_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_forest_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/37.wsy" "./Audio_Modding/Waves/kaminoto_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/kaminoto_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/38.wsy" "./Audio_Modding/Waves/rane_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/rane_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/39.wsy" "./Audio_Modding/Waves/n6pirate_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n6pirate_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/40.wsy" "./Audio_Modding/Waves/e_diocta_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/e_diocta_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/41.wsy" "./Audio_Modding/Waves/d_earth_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_earth_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/42.wsy" "./Audio_Modding/Waves/d_wind_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_wind_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/43.wsy" "./Audio_Modding/Waves/IsleRiv_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/IsleRiv_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/44.wsy" "./Audio_Modding/Waves/hyrul_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/hyrul_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/45.wsy" "./Audio_Modding/Waves/n7i_mori_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n7i_mori_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/46.wsy" "./Audio_Modding/Waves/n8s_race_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n8s_race_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/47.wsy" "./Audio_Modding/Waves/p_ganon_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/p_ganon_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/48.wsy" "./Audio_Modding/Waves/n9drug_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n9drug_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/49.wsy" "./Audio_Modding/Waves/d_ganon1_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_ganon1_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/50.wsy" "./Audio_Modding/Waves/d_ganon2_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/d_ganon2_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/51.wsy" "./Audio_Modding/Waves/n10i_ryu_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n10i_ryu_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/52.wsy" "./Audio_Modding/Waves/shop_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/shop_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/53.wsy" "./Audio_Modding/Waves/room1_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/room1_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/54.wsy" "./Audio_Modding/Waves/p_goma_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/p_goma_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/55.wsy" "./Audio_Modding/Waves/InForest_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/InForest_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/56.wsy" "./Audio_Modding/Waves/IsleDrg_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/IsleDrg_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/57.wsy" "./Audio_Modding/Waves/Raichin_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Raichin_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/58.wsy" "./Audio_Modding/Waves/Jaboo_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/Jaboo_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/59.wsy" "./Audio_Modding/Waves/n11i_tur_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n11i_tur_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/60.wsy" "./Audio_Modding/Waves/n12death_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/n12death_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/61.wsy" "./Audio_Modding/Waves/GanonT_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/GanonT_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/62.wsy" "./Audio_Modding/Waves/GanonB_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/GanonB_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/63.wsy" "./Audio_Modding/Waves/kugutu_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/kugutu_0/extracted_waves"
"%CD%/tool/wsystool.exe" unpack "./Audio_Modding/include/64.wsy" "./Audio_Modding/Waves/MJGanon_0" -awpath "%CD%/Banks/" -waveout "./Audio_Modding/Waves/MJGanon_0/extracted_waves"

echo Unpacking Banks

"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/0.bnk" "./Audio_Modding/Instruments/IBNK0"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/1.bnk" "./Audio_Modding/Instruments/IBNK1"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/2.bnk" "./Audio_Modding/Instruments/IBNK2"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/3.bnk" "./Audio_Modding/Instruments/IBNK3"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/4.bnk" "./Audio_Modding/Instruments/IBNK4"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/5.bnk" "./Audio_Modding/Instruments/IBNK5"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/6.bnk" "./Audio_Modding/Instruments/IBNK6"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/7.bnk" "./Audio_Modding/Instruments/IBNK7"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/8.bnk" "./Audio_Modding/Instruments/IBNK8"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/9.bnk" "./Audio_Modding/Instruments/IBNK9"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/10.bnk" "./Audio_Modding/Instruments/IBNK10"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/11.bnk" "./Audio_Modding/Instruments/IBNK11"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/12.bnk" "./Audio_Modding/Instruments/IBNK12"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/13.bnk" "./Audio_Modding/Instruments/IBNK13"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/14.bnk" "./Audio_Modding/Instruments/IBNK14"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/15.bnk" "./Audio_Modding/Instruments/IBNK15"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/16.bnk" "./Audio_Modding/Instruments/IBNK16"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/17.bnk" "./Audio_Modding/Instruments/IBNK17"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/18.bnk" "./Audio_Modding/Instruments/IBNK18"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/19.bnk" "./Audio_Modding/Instruments/IBNK19"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/20.bnk" "./Audio_Modding/Instruments/IBNK20"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/21.bnk" "./Audio_Modding/Instruments/IBNK21"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/22.bnk" "./Audio_Modding/Instruments/IBNK22"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/23.bnk" "./Audio_Modding/Instruments/IBNK23"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/24.bnk" "./Audio_Modding/Instruments/IBNK24"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/25.bnk" "./Audio_Modding/Instruments/IBNK25"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/26.bnk" "./Audio_Modding/Instruments/IBNK26"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/27.bnk" "./Audio_Modding/Instruments/IBNK27"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/28.bnk" "./Audio_Modding/Instruments/IBNK28"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/29.bnk" "./Audio_Modding/Instruments/IBNK29"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/30.bnk" "./Audio_Modding/Instruments/IBNK30"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/31.bnk" "./Audio_Modding/Instruments/IBNK31"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/32.bnk" "./Audio_Modding/Instruments/IBNK32"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/33.bnk" "./Audio_Modding/Instruments/IBNK33"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/34.bnk" "./Audio_Modding/Instruments/IBNK34"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/35.bnk" "./Audio_Modding/Instruments/IBNK35"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/36.bnk" "./Audio_Modding/Instruments/IBNK36"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/37.bnk" "./Audio_Modding/Instruments/IBNK37"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/38.bnk" "./Audio_Modding/Instruments/IBNK38"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/39.bnk" "./Audio_Modding/Instruments/IBNK39"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/40.bnk" "./Audio_Modding/Instruments/IBNK40"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/41.bnk" "./Audio_Modding/Instruments/IBNK41"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/42.bnk" "./Audio_Modding/Instruments/IBNK42"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/43.bnk" "./Audio_Modding/Instruments/IBNK43"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/44.bnk" "./Audio_Modding/Instruments/IBNK44"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/45.bnk" "./Audio_Modding/Instruments/IBNK45"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/46.bnk" "./Audio_Modding/Instruments/IBNK46"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/47.bnk" "./Audio_Modding/Instruments/IBNK47"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/48.bnk" "./Audio_Modding/Instruments/IBNK48"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/49.bnk" "./Audio_Modding/Instruments/IBNK49"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/50.bnk" "./Audio_Modding/Instruments/IBNK50"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/51.bnk" "./Audio_Modding/Instruments/IBNK51"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/52.bnk" "./Audio_Modding/Instruments/IBNK52"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/53.bnk" "./Audio_Modding/Instruments/IBNK53"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/54.bnk" "./Audio_Modding/Instruments/IBNK54"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/55.bnk" "./Audio_Modding/Instruments/IBNK55"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/56.bnk" "./Audio_Modding/Instruments/IBNK56"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/57.bnk" "./Audio_Modding/Instruments/IBNK57"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/58.bnk" "./Audio_Modding/Instruments/IBNK58"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/59.bnk" "./Audio_Modding/Instruments/IBNK59"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/60.bnk" "./Audio_Modding/Instruments/IBNK60"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/61.bnk" "./Audio_Modding/Instruments/IBNK61"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/62.bnk" "./Audio_Modding/Instruments/IBNK62"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/63.bnk" "./Audio_Modding/Instruments/IBNK63"
"%CD%/tool/ibnktool.exe" unpack "./Audio_Modding/include/64.bnk" "./Audio_Modding/Instruments/IBNK64"


echo Unpacking BST 
"%CD%/tool/bast" unpack "./Audio_Modding/include/0.bst" "./Audio_Modding/SoundTable"

echo Done.
GOTO EOF

:FAIL
echo WARNING: You already have a backup. If you make a backup now, and have made any changes, this will corrupt the backup of your original game files.
echo Choose wisely.
SET /P AREYOUSURE=No regrets, mister freeman: (Y/[N])
IF /I "%AREYOUSURE%" EQU "Y" GOTO PACK

:EOF
pause